package com.sqx.modules.bl.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sqx.modules.bl.order.dao.UserPackageOrdersMappingDao;
import com.sqx.modules.bl.order.entity.UserPackageOrdersMapping;
import com.sqx.modules.bl.order.service.UserPackageOrdersMappingService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserPackageOrdersMappingServiceImpl extends ServiceImpl<UserPackageOrdersMappingDao, UserPackageOrdersMapping> implements UserPackageOrdersMappingService {

    @Override
    public List<UserPackageOrdersMapping> findList(UserPackageOrdersMapping userPackageOrdersMapping){
        return baseMapper.findList(userPackageOrdersMapping);
    }

    @Override
    public List<UserPackageOrdersMapping> findListByOrdersId(Long ordersId){
        return baseMapper.findListByOrdersId(ordersId);
    }

    @Override
    public int insert(UserPackageOrdersMapping userPackageOrdersMapping){
        return baseMapper.insert(userPackageOrdersMapping);
    }

    @Override
    public int deleteByOrdersId(Long ordersId){
        return baseMapper.deleteByOrdersId(ordersId);
    }
}